
Name: rainlendar2-lite
Version: 2.13.1.b147
Release: %mkrel 1


URL: http://www.rainlendar.net/cms/index.php
Summary: Customizable desktop calendar
Source0: rainlendar2-lite_%version-1_amd64.deb
Group: Office
License: Commercial
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: pclinuxos-release
Requires: %{_lib}curl4
Requires: %{_lib}atk1.0_0
Requires: %{_lib}cairo2
Requires: %{_lib}fontconfig1
Requires: %{_lib}freetype6
Requires: %{_lib}glib2.0_0
Requires: %{_lib}gtk+2.0_0
Requires: %{_lib}pango1.0_0
Requires: %{_lib}png3
Requires: %{_lib}expat1
Requires: %{_lib}xinerama1
Requires: %{_lib}jpeg62
Requires: %{_lib}openssl1.0.0
Requires: openssl
Requires: glib2.0-common
AutoReqProv: no

%description
Rainlendar is a feature rich calendar application that is easy to
use and doesn't take much space on your desktop. The appearance
can be customized with skins. Rainlendar uses the standard
iCalendar file format so it is compatible with most calendar
applications.



%prep
#nothing

%build
#nobuild

%install
#Get binary sources
ar -xv %SOURCE0

#extract the data
tar -Jxvf data.tar.xz

rm -rf %{buildroot}

#make the folders
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/bin

#copy the binaries 
cp -r %_builddir/usr/* %{buildroot}/usr

#link the executable
ln -s /usr/lib/rainlendar2/rainlendar2 %{buildroot}/usr/bin/rainlendar2

#remove this desktop file for now as it doesn't launch anything
rm -f %{buildroot}/%{_datadir}/applications/rainlendar2-import.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/rainlendar2
/usr/lib/rainlendar2
%{_datadir}/applications/rainlendar2.desktop
%{_datadir}/doc/rainlendar2/copyright
%{_datadir}/doc/rainlendar2/license.txt
%{_datadir}/icons
%{_datadir}/pixmaps


%changelog
* Sun Apr 24 2016 bb <bb> 2.13.1.b147-1pclos2016
- update

* Fri Jan 31 2014 bb <bb> 2.12.1.b137-1pclos2014
- update

* Sun Nov 03 2013 billybot <billybot>  2.11.1.b129-1pclos2013
- created package with authors permission
- will convert to nosrc package later
